Bug 1419778 - [abrt] gvfs-mtp: list_del(): gvfsd-mtp killed by SIGSEGV
Summary: [abrt] gvfs-mtp: list_del(): gvfsd-mtp killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aaf7246c932accead36b86b2436...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 02:53 UTC by Han Han
Modified: 2018-05-29 12:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:40:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.93 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: cgroup (177 bytes, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: core_backtrace (3.17 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: dso_list (3.25 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: environ (1.16 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: maps (17.06 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: mountinfo (3.55 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: open_fds (988 bytes, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-07 02:53 UTC, Han Han
no flags Details

Description Han Han 2017-02-07 02:53:06 UTC
Description of problem:


Version-Release number of selected component:
gvfs-mtp-1.31.2-1.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.10 /org/gtk/gvfs/exec_spaw/23
crash_function: list_del
executable:     /usr/libexec/gvfsd-mtp
global_pid:     20204
kernel:         4.10.0-0.rc4.git2.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 list_del at libusbi.h:137
 #1 remove_from_flying_list at io.c:1447
 #2 libusb_submit_transfer at io.c:1541
 #3 do_sync_bulk_transfer at sync.c:185
 #4 libusb_bulk_transfer at sync.c:273
 #5 ptp_usb_event at libusb1-glue.c:1592
 #6 ptp_usb_event_wait at libusb1-glue.c:1651
 #7 LIBMTP_Read_Event at libmtp.c:2164
 #8 check_event at gvfsbackendmtp.c:683
 #9 g_thread_proxy at gthread.c:784

Comment 1 Han Han 2017-02-07 02:53:12 UTC
Created attachment 1248246 [details]
File: backtrace

Comment 2 Han Han 2017-02-07 02:53:13 UTC
Created attachment 1248247 [details]
File: cgroup

Comment 3 Han Han 2017-02-07 02:53:15 UTC
Created attachment 1248248 [details]
File: core_backtrace

Comment 4 Han Han 2017-02-07 02:53:17 UTC
Created attachment 1248249 [details]
File: dso_list

Comment 5 Han Han 2017-02-07 02:53:18 UTC
Created attachment 1248250 [details]
File: environ

Comment 6 Han Han 2017-02-07 02:53:20 UTC
Created attachment 1248251 [details]
File: exploitable

Comment 7 Han Han 2017-02-07 02:53:21 UTC
Created attachment 1248252 [details]
File: limits

Comment 8 Han Han 2017-02-07 02:53:23 UTC
Created attachment 1248253 [details]
File: maps

Comment 9 Han Han 2017-02-07 02:53:25 UTC
Created attachment 1248254 [details]
File: mountinfo

Comment 10 Han Han 2017-02-07 02:53:27 UTC
Created attachment 1248255 [details]
File: namespaces

Comment 11 Han Han 2017-02-07 02:53:28 UTC
Created attachment 1248256 [details]
File: open_fds

Comment 12 Han Han 2017-02-07 02:53:29 UTC
Created attachment 1248257 [details]
File: proc_pid_status

Comment 13 Han Han 2017-02-07 02:53:31 UTC
Created attachment 1248258 [details]
File: var_log_messages

Comment 14 Ondrej Holy 2017-02-07 09:28:41 UTC
Thanks for your bug report.

Can you please provide some addition info what did you do when did it happen? Did you hard-unplug the device without unmounting, or during unmounting?

Comment 15 Han Han 2017-02-07 10:02:50 UTC
Hi, Ondrej.
I cannot remember the steps to reproduce the bug. I can only tell that it happened during my mobile phone of Android 6.0 OS connected to Fedora rawhide.

Comment 16 Fedora End Of Life 2017-02-28 11:12:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 17 Jan Vlug 2018-01-25 14:00:25 UTC
Same as bug #1512203 and bug #1538493?

Comment 18 Jan Vlug 2018-01-25 14:07:20 UTC
Same as bug #1475468?

Comment 19 Fedora End Of Life 2018-05-03 08:04:28 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2018-05-29 12:40:05 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.